SviluppatoriReferenceSharing
Hide From Explore
Takes an itinerary off Explore. It stays yours and stays shared with its people.
Only available to the Travelyfe apps. Tokens issued to other apps receive forbidden.
AuthorizationBearer <token>
A Travelyfe access token.
In: header
Path Parameters
id*string
The itinerary id (UUID).
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/itineraries/497f6eca-6276-4993-bfeb-53cbbbba6f08/explore"{ "title": "string", "destination": "string", "origin": "string", "summary": "string", "center": { "latitude": 0, "longitude": 0 }, "startDate": "2019-08-24T14:15:22Z", "tags": [ "string" ], "bestSeason": "string", "homeCurrency": "string", "days": [ { "id": "string", "title": "string", "summary": "string", "imageURL": "http://example.com", "stops": [ { "id": "string", "name": "string", "address": "string", "category": "string", "coordinate": { "latitude": 0, "longitude": 0 }, "startTime": "string", "durationMinutes": 0, "note": "string", "phone": "string", "bookingURL": "http://example.com" } ] } ], "packing": [ { "id": "string", "name": "string", "quantity": 0, "category": "string", "isPacked": true } ], "expenses": [ { "id": "string", "title": "string", "amount": 0, "currency": "string", "date": "2019-08-24T14:15:22Z", "category": "string" } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "visibility": "private", "role": "owner", "author": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "likesCount": 0, "viewsCount": 0}